Skip to main content
GET
/
api
/
v1
/
projects
/
{projectUuid}
/
aiAgents
/
threads
Error
A valid request URL is required to generate request examples
{
  "results": {
    "data": [
      {
        "user": {
          "name": "<string>",
          "uuid": "<string>"
        },
        "firstMessage": {
          "message": "<string>",
          "uuid": "<string>"
        },
        "titleGeneratedAt": "<string>",
        "title": "<string>",
        "createdFrom": "<string>",
        "createdAt": "<string>",
        "agentUuid": "<string>",
        "uuid": "<string>",
        "agentImageUrl": "<string>",
        "agentName": "<string>"
      }
    ],
    "pagination": {
      "page": 123,
      "pageSize": 123,
      "totalResults": 123,
      "totalPageCount": 123
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.lightdash.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

projectUuid
string
required

Query Parameters

page
number<double>
pageSize
number<double>
agentUuid
string
createdFrom
enum<string>
Available options:
web_app,
slack

Response

Success

results
object
required
status
enum<string>
required
Available options:
ok